Bug 242965 - kernel dm: mempool_resize BUG() during multiple snapshot removals
kernel dm: mempool_resize BUG() during multiple snapshot removals
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Broz
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 14:03 EDT by Corey Marthaler
Modified: 2013-02-28 23:05 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-06-06 14:03:20 EDT
Description of problem:
I hit bz 211525 today on RHEL4U5 so I figured I'd open a rhel4 clone of that bz

device-mapper: error adding target to table
----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at mempool:114
invalid operand: 0000 [1] SMP
CPU 1
Modules linked in: dlm(U) cman(U) md5 ipv6 parport_pc lp parport autofs4 i2c_dev
i2c_core sunrpc ds yenta_socket pcmcia_core button battery ac ohci_hcd hw_random
k8_edac edac_mc tg3 floppy dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod qla2300
qla2xxx scsi_transport_fc mptscsih mptsas mptspi mptscsi mptbase sd_mod scsi_mod
Pid: 28138, comm: lvremove Not tainted 2.6.9-55.ELlargesmp
RIP: 0010:[<ffffffff8015cda7>] <ffffffff8015cda7>{mempool_resize+21}
RSP: 0018:0000010016bf1c58  EFLAGS: 00010282
RAX: 0000000000000400 RBX: 000001003dfddf00 RCX: 0000000000000202
RDX: 00000000000000d0 RSI: 00000000ffffff98 RDI: 000001003dfddf00
RBP: 0000000000000000 R08: 0000000000000003 R09: 0000000300000000
R10: 0000000300000000 R11: 0000000000000000 R12: 0000000000000000
R13: 00000000ffffff98 R14: 00000000000000d0 R15: ffffffffa00bff82
FS:  0000002a95565620(0000) GS:ffffffff80500400(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000007fbfff3220 CR3: 0000000037e18000 CR4: 00000000000006e0
Process lvremove (pid: 28138, threadinfo 0000010016bf0000, task 00000100176b07f0)
Stack: 00000000ffffff98 0000000000000000 0000000000000000 0000000000000000
       00000000006bc630 ffffffffa00c172c 0000000000000003 ffffffffa00ccf40
       000001003dfdd880 ffffffffa00c2a68
Call Trace:<ffffffffa00c172c>{:dm_mod:resize_pool+183}
<ffffffffa00c2a68>{:dm_mod:kcopyd_client_destroy+146}
       <ffffffff801eac7d>{__up_write+20}
<ffffffffa01196dc>{:dm_snapshot:snapshot_dtr+167}
       <ffffffffa00bdec4>{:dm_mod:table_destroy+72}
<ffffffffa00bd3f3>{:dm_mod:dm_put+150}
       <ffffffffa00c00a6>{:dm_mod:dev_remove+292}
<ffffffffa00c15e3>{:dm_mod:ctl_ioctl+602}
       <ffffffff8018aeb1>{sys_ioctl+853} <ffffffff8011026a>{system_call+126}


Code: 0f 0b 18 6f 32 80 ff ff ff ff 72 00 48 89 df e8 40 f4 1a 00
RIP <ffffffff8015cda7>{mempool_resize+21} RSP <0000010016bf1c58>
 <0>Kernel panic - not syncing: Oops



Version-Release number of selected component (if applicable):
2.6.9-55.ELlargesmp
Comment 1 RHEL Product and Program Management 2007-06-06 15:06:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jason Baron 2007-07-03 18:37:08 EDT
committed in stream U6 build 55.16. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 errata-xmlrpc 2007-11-15 11:28:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.